Bug 324367 - Zotero-standalone 4.0 for Linux 64-bit crahes when open any menu
Summary: Zotero-standalone 4.0 for Linux 64-bit crahes when open any menu
Status: RESOLVED FIXED
Alias: None
Product: Oxygen
Classification: Unclassified
Component: gtk2-engine (show other bugs)
Version: 1.4.0
Platform: Archlinux Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Hugo Pereira Da Costa
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-01 18:25 UTC by Yang Su
Modified: 2013-09-03 15:19 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
patch (361 bytes, patch)
2013-09-01 19:12 UTC, Hugo Pereira Da Costa
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yang Su 2013-09-01 18:25:12 UTC
Both zotero and oxygen-gtk2 are installed from the repos.  Zotero crashes when trying to display a menu.  Output to stderr:

###!!! ABORT: X_CreatePixmap: BadAlloc (insufficient resources for operation); 4 requests ago: file /builds/slave/rel-m-rel-xr_l64_bld-000000000/build/toolkit/xre/nsX11ErrorHandler.cpp, line 157
###!!! ABORT: X_CreatePixmap: BadAlloc (insufficient resources for operation); 4 requests ago: file /builds/slave/rel-m-rel-xr_l64_bld-000000000/build/toolkit/xre/nsX11ErrorHandler.cpp, line 157
Segmentation fault (core dumped)


Reproducible: Always

Steps to Reproduce:
1. Use the oxygen-gtk theme
2. Launch zotero-standalone
3. Click on any item in the main menu bar, or any tool button in the tool bar which shall show a pop up menu, or right-click on any bibliography entry to show the context menu
Actual Results:  
The background and shadow of the menu is drawn, but before any menu item texts and icons are drawn, zotero crashes.

Expected Results:  
Menu displays properly, no crashes.
Comment 1 Yang Su 2013-09-01 18:27:28 UTC
Not sure if it's a bug in oxygen-gtk2 or in zotero.  But when using other gtk2 themes (e.g. QtCurve), everything works, no crashes.
Comment 2 Ruslan Kabatsayev 2013-09-01 18:49:36 UTC
Could you post a backtrace of the crash?
Comment 3 Hugo Pereira Da Costa 2013-09-01 19:12:44 UTC
Created attachment 82093 [details]
patch
Comment 4 Hugo Pereira Da Costa 2013-09-01 19:14:58 UTC
Patch fixes it.
(as expected: just XULify zotero)
@Ruslan, would be awesome if we could find a way to automatically detect XUL applications. not sure how though. I'll try to think about it.

@Yang Su: any chance you can test the patch on oxygen-gtk (either from master or 1.4.0 version), before I push it ?
Comment 5 Hugo Pereira Da Costa 2013-09-01 19:19:49 UTC
Git commit fff7da1eca2b41f2190a848122fc5f8a3c9fef91 by Hugo Pereira Da Costa.
Committed on 01/09/2013 at 19:17.
Pushed by hpereiradacosta into branch '1.4'.

Mark zotero as an XUL application.

M  +1    -0    src/oxygenapplicationname.cpp

http://commits.kde.org/oxygen-gtk/fff7da1eca2b41f2190a848122fc5f8a3c9fef91
Comment 6 Hugo Pereira Da Costa 2013-09-01 19:23:14 UTC
Git commit 89bb8f44ae4591e4d1e89ab50cab103cff0b43ef by Hugo Pereira Da Costa.
Committed on 01/09/2013 at 19:17.
Pushed by hpereiradacosta into branch 'master'.

Mark zotero as an XUL application.

M  +1    -0    src/oxygenapplicationname.cpp

http://commits.kde.org/oxygen-gtk/89bb8f44ae4591e4d1e89ab50cab103cff0b43ef
Comment 7 Hugo Pereira Da Costa 2013-09-01 19:24:10 UTC
ok. In fact I pushed already to both master and 1.4 branch
change will be available in next release (1.4.1)
Comment 8 Yang Su 2013-09-02 18:46:02 UTC
Tested the master version, worked fine.  Thanks for the fix.
Comment 9 Hugo Pereira Da Costa 2013-09-03 15:19:17 UTC
ok. So closing.